#pragma once
#include "CivTypes.h"

class CivNode;
class CivPipe;

/**
 * 节点类型
 */ 
class CivNode
{
public:
	CivNode();

private:

};

/**
 * 管线类型
 */ 
class CivPipe {
public:
	CivPipe();

private:
	Str mID; // id号
	CivNode* mStartNode = nullptr; // 上点号
	CivNode* mStopNode = nullptr; // 本点号
};
